Bug 170110 - Documentation for 'rsize' and 'wsize' NFS mount options is misleading
Documentation for 'rsize' and 'wsize' NFS mount options is misleading
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: util-linux (Show other bugs)
4.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Steve Dickson
Ben Levenson
:
Depends On: 139355
Blocks: 168429
  Show dependency treegraph
 
Reported: 2005-10-07 09:08 EDT by Steve Dickson
Modified: 2007-11-30 17:07 EST (History)
3 users (show)

See Also:
Fixed In Version: RHBA-2006-0061
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-07 13:06:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steve Dickson 2005-10-07 09:08:33 EDT
+++ This bug was initially created as a clone of Bug #139355 +++

From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.4)
Gecko/20030624 Netscape/7.1 (ax)

Description of problem:
In the section detailing mount options for NFS filesystems, it says
that the default value for rsize and wsize options is 4k.

[quote]
   rsize=8192,wsize=8192
      This  will make your nfs connection faster than with the default
      buffer size of 4096. (NFSv2 does not work with larger values  of
      rsize and wsize.)
[/quote]

This does not tie up with what the kernel source appears to be doing,
which is to use the server specified default values. The performance
turning pages at http://nfs.sourceforge.net/nfs-howto/performance.html
also say that the default is typically server specified.

[quote]
  If no rsize and wsize options are specified, the default varies by
  which version of NFS we are using. The most common default is 4K
  (4096 bytes), although for TCP-based mounts in 2.2 kernels, and
  for all mounts beginning with 2.4 kernels, the server specifies
  the default block size.
[/quote]


Version-Release number of selected component (if applicable):
mount-2.11y-31.1

How reproducible:
Always

Steps to Reproduce:
1. man 'mount'
2. Search for 'rsize'/'wsize'
3.
    

Expected Results:  Documentation for default value of rsize/wsize
options corresponds to actual practice in kernel source.

Additional info:
The man page should probably also warn about potential problems with
an oversized rsize/wsize as the the above doc on nfs.sourceforge.net

[quote]
If the rsize/wsize  is too large the symptoms are very odd and not
100% obvious. A typical symptom is incomplete file lists when doing
ls, and no error messages, or reading files failing mysteriously
with no error messages.
[/quote]

-- Additional comment from buchholz@easystreet.com on 2005-01-11 12:43 EST --
Also, the mount(8) and nfs(5) man pages have conflicting statements
about the default rsize,wsize values.  Mount(8) says 4K; nfs(5) says 1K.
Comment 1 Steve Dickson 2005-10-07 10:53:20 EDT
Fixed in util-linux-2.12a-16.EL4.13
Comment 7 Red Hat Bugzilla 2006-03-07 13:06:28 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2006-0061.html

Note You need to log in before you can comment on or make changes to this bug.